# Uses of Interface
org.eclipse.draw2d.MouseListener

Packages that use MouseListener
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of MouseListener in org.eclipse.draw2d

Classes in org.eclipse.draw2d that implement MouseListener
Modifier and Type
Class
Description
`static class`
`MouseListener.Stub`
An empty implementation of MouseListener for convenience.
`protected class`
`ScrollBar.ThumbDragger`
Methods in org.eclipse.draw2d with parameters of type MouseListener
Modifier and Type
Method
Description
`void`
Figure.`addMouseListener(MouseListener listener)`
`void`
IFigure.`addMouseListener(MouseListener listener)`
Registers the given listener as a MouseListener of this IFigure.
`void`
Figure.`removeMouseListener(MouseListener listener)`
`void`
IFigure.`removeMouseListener(MouseListener listener)`
Unregisters the given listener, so that it will no longer receive notification of mouse events.